<?php include 'header.php' ?>
<?php
include 'config.php';

// Insetion logic
if (isset($_POST['submit'])) {
    // Get data from the form
    $courses = $_POST['courses'];
    $courseduration = $_POST['courseduration'];
    $coursecode = $_POST['coursecode'];
    $awards = $_POST['awards'];
    $cprice = $_POST['cprice'] ?? 0;
    $cmrp = $_POST['cmrp'] ?? 0;
    $minimumfees = $_POST['minimumfees'] ?? 0;

    $description = $_POST['description'];
    $subdescription = $_POST['subdescription'];

    $coursesubjectImploded = '';
    if (isset($_POST['coursesubject']) && is_array($_POST['coursesubject'])) {
        $coursesubjectImploded = implode(', ', $_POST['coursesubject']);
    }

    // File Upload Handling
    $img = $_FILES['image']['name'];

    // Check if coursecode already exists
    $checkSql = "SELECT coursecode FROM courses WHERE coursecode = ?";
    $checkStmt = $db->prepare($checkSql);
    $checkStmt->bind_param("s", $coursecode);
    $checkStmt->execute();
    $checkStmt->store_result();

    if ($checkStmt->num_rows > 0) {
        echo "<script>
             alert('Course code is already present in the database. Please use a different course code.');
             window.location.href = 'add-course.php';
           </script>";
        exit();
    }

    // Insert data into the database
    $sql = "INSERT INTO courses (courses, courseduration, cprice, coursecode, awards, cmrp, minimumfees, coursesubject,description,subdescription, image) VALUES (?, ?, ?, ?, ?, ?, ? , ?, ?, ?, ?)";
    $stmt = $db->prepare($sql);

    if ($stmt) {
        $stmt->bind_param("sssssssssss", $courses, $courseduration, $cprice, $coursecode, $awards, $cmrp, $minimumfees, $coursesubjectImploded, $description, $subdescription, $img);

        if ($stmt->execute()) {
            move_uploaded_file($_FILES['image']['tmp_name'], "assets/course/" . $_FILES['image']['name']);
            echo "<script>
            alert('New Course Has Been Successfully Added')
            window.location.href = 'add-course.php';
          </script>";

        } else {
            echo "Error executing the statement: " . $stmt->error . " SQL: " . $sql;
        }

        // Close the prepared statement
        $stmt->close();
    } else {
        echo "Error in the statement: ";
    }

    // Close the check statement
    $checkStmt->close();
}


// Deletion Logic
if ($_SERVER['REQUEST_METHOD'] === 'GET' && isset($_GET['delete']) && isset($_GET['id'])) {
    $idToDelete = $_GET['id'];

    $stmt = $db->prepare("SELECT image FROM courses WHERE id = ?");
    $stmt->bind_param("i", $idToDelete);
    $stmt->execute();
    $stmt->bind_result($imageToDelete);
    $stmt->fetch();
    $stmt->close();

    // Delete the record from the database
    $stmt = $db->prepare("DELETE FROM courses WHERE id = ?");
    $stmt->bind_param("i", $idToDelete);

    if ($stmt->execute()) {
        // Remove the image file from the folder
        $target_dir = $DOC_ROOT . "assets/course/";
        $fileToDelete = $target_dir . $imageToDelete;

        if (file_exists($fileToDelete)) {
            unlink($fileToDelete);
        }

        echo '<script>
            alert("Course have Been Successfully Deleted");
            setTimeout(function() {
              window.location.href = "add-course.php";
            }, 100); 
          </script>';
    } else {
        echo "Error deleting record: " . $stmt->error;
    }

    $stmt->close();
}
// Update Logic
if (isset($_POST['updateFilmBtn'])) {
    $idEdID = $_POST['id'];
    $courses = mysqli_real_escape_string($db, $_POST['courses']);
    $courseduration = mysqli_real_escape_string($db, $_POST['courseduration']);
    $cprice = mysqli_real_escape_string($db, $_POST['cprice']);
    $cmrp = mysqli_real_escape_string($db, $_POST['cmrp']);
    $minimumfees = mysqli_real_escape_string($db, $_POST['minimumfees']);
    $coursecode = mysqli_real_escape_string($db, $_POST['coursecode']);
    $awards = mysqli_real_escape_string($db, $_POST['awards']);
    $coursesubjectImploded = '';
    if (isset($_POST['coursesubject']) && is_array($_POST['coursesubject'])) {
        $coursesubjectImploded = implode(',', $_POST['coursesubject']);
    }
   $description = mysqli_real_escape_string($db, $_POST['description']);
    $description = stripcslashes($description);
    $subdescription = mysqli_real_escape_string($db, $_POST['subdescription']);
    $subdescription = stripcslashes($subdescription);

    $storyId = mysqli_real_escape_string($db, $idEdID);
    // Check if the course code already exists
    $checkSql = "SELECT id FROM courses WHERE coursecode = ? AND id != ?";
    $checkStmt = mysqli_prepare($db, $checkSql);
    mysqli_stmt_bind_param($checkStmt, "si", $coursecode, $storyId);
    mysqli_stmt_execute($checkStmt);
    mysqli_stmt_store_result($checkStmt);

    if (mysqli_stmt_num_rows($checkStmt) > 0) {
        echo '<script>
          alert("Course code is already present in the database. Please use a different course code.");
          setTimeout(function() {
              window.location.href = "add-course.php";
          }, 100); 
      </script>';
        exit();
    }
    $target_dir = "assets/course/";

    if (isset($_FILES['image']) && $_FILES['image']['error'] === UPLOAD_ERR_OK) {
        $tmpThumbnailPath = $_FILES['image']['tmp_name'];
        $thumbnailFilename = time() . '_' . $_FILES['image']['name'];
        $targetThumbnailFile = $target_dir . $thumbnailFilename;

        if (move_uploaded_file($tmpThumbnailPath, $targetThumbnailFile)) {
            $oldThumbnailPath = $target_dir . $oldThumbnail;
            if (file_exists($oldThumbnailPath)) {
                unlink($oldThumbnailPath);
            }

            $updateThumbnailSql = "UPDATE courses SET image = ? WHERE id = ?";
            $stmtThumbnail = mysqli_prepare($db, $updateThumbnailSql);

            if ($stmtThumbnail) {
                mysqli_stmt_bind_param($stmtThumbnail, "si", $thumbnailFilename, $storyId);
                if (!mysqli_stmt_execute($stmtThumbnail)) {
                    echo '<script>
                      alert("Error updating the thumbnail in the database.");
                      setTimeout(function() {
                          window.location.href = "add-course.php";
                      }, 100); 
                  </script>';
                    exit();
                }
            } else {
                echo '<script>
                  alert("Error preparing the update statement for thumbnail.");
                  setTimeout(function() {
                      window.location.href = "add-course.php";
                  }, 100); 
              </script>';
                exit();
            }
        } else {
            echo '<script>
              alert("Error uploading the thumbnail image.");
              setTimeout(function() {
                  window.location.href = "add-course.php";
              }, 100); 
          </script>';
            exit();
        }
    }

    $updateSql = "UPDATE courses SET courses = ?, courseduration = ?, cprice = ?, coursecode = ?, awards = ?, cmrp = ?, minimumfees = ?, coursesubject = ?,description = ?, subdescription = ? WHERE id = ?";
    $stmt = mysqli_prepare($db, $updateSql);

    if ($stmt) {

        mysqli_stmt_bind_param($stmt, "ssssssssssi", $courses, $courseduration, $cprice, $coursecode, $awards, $cmrp, $minimumfees, $coursesubjectImploded,$description , $subdescription, $storyId);
        if (mysqli_stmt_execute($stmt)) {
            echo '<script>
                  alert("Record has been updated successfully.");
                  setTimeout(function() {
                      window.location.href = "add-course.php";
                  }, 100); 
              </script>';
            exit();
        } else {
            echo '<script>
                  alert("Error updating the record in the database.");
                  setTimeout(function() {
                      window.location.href = "add-course.php";
                  }, 100); 
              </script>';
            exit();
        }
    } else {
        echo '<script>
              alert("Error preparing the update statement.");
              setTimeout(function() {
                  window.location.href = "add-course.php";
              }, 100); 
          </script>';
        exit();
    }
}

// Fetch data from the "posts" table
$query = "SELECT * FROM courses ORDER BY id DESC";
$result = mysqli_query($db, $query);

// Check if the query was successful
if (!$result) {
    die("Query failed: " . mysqli_error($db));
}

$sqlsubject = "SELECT subjectname FROM subjects";
$resultsubject = $db->query($sqlsubject);
$sqlaward = "SELECT awardname FROM award";
$resultaward = $db->query($sqlaward);
?>
<div class="content-wrapper">
    <div class="col-xl">
        <?php
        if (isset($_GET['idEdit']) && !empty($_GET['idEdit'])) {
            $idEdit = $_GET['idEdit'];

            $filmId = mysqli_real_escape_string($db, $idEdit);
            $sql = "SELECT * FROM courses WHERE id = $filmId";
            $result = mysqli_query($db, $sql);

            if ($result && mysqli_num_rows($result) > 0) {
                $getFilmEdit = mysqli_fetch_assoc($result);
            }
            ?>
            <div class="card mb-4">

                <div class="card-header d-flex justify-content-center align-items-center">
                    <h5 class="mb-0">Update Course Details</h5>
                </div>
                <div class="card-body">

                    <form action="" method="post" enctype="multipart/form-data">
                        <input type="hidden" name="id" value="<?php echo $getFilmEdit['id']; ?>">
                        <div class="row">
                            <div class="col-md-6">
                                <div class="mb-3">
                                    <label class="form-label" for="basic-icon-default-fullname">Course Code</label>
                                    <div class="input-group input-group-merge">
                                        <input type="text" class="form-control" name="coursecode"
                                            value="<?php echo $getFilmEdit['coursecode']; ?>" />
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="mb-3">
                                    <label class="form-label" for="basic-icon-default-fullname">Course Name</label>
                                    <div class="input-group input-group-merge">

                                        <input type="text" class="form-control" id="basic-icon-default-fullname"
                                            name="courses" value="<?php echo $getFilmEdit['courses']; ?>" />

                                    </div>
                                </div>
                            </div>
                            <div class="col-md-4">
                                <div class="mb-3">
                                    <label class="form-label" for="basic-icon-default-company">Course MRP</label>
                                    <div class="input-group input-group-merge">

                                        <input type="text" class="form-control" name="cmrp"
                                            value="<?php echo $getFilmEdit['cmrp']; ?>" />
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-4">
                                <div class="mb-3">
                                    <label class="form-label" for="basic-icon-default-company">Course Selling Price</label>
                                    <input type="text" id="basic-icon-default-company" class="form-control" name="cprice"
                                        value="<?php echo $getFilmEdit['cprice']; ?>" />

                                </div>
                            </div>
                           
                            <div class="col-md-4">
                                <div class="mb-3">
                                    <label class="form-label" for="basic-icon-default-company">Minimum Fees</label>
                                    <div class="input-group input-group-merge">

                                        <input type="text" class="form-control" name="minimumfees"
                                            value="<?php echo $getFilmEdit['minimumfees']; ?>" />
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-4">
                                <div class="mb-3">
                                    <label class="form-label" for="basic-icon-default-company">Course Duration ( In Months )</label>
                                    <input type="number" id="basic-icon-default-company" class="form-control"
                                        name="courseduration" value="<?php echo $getFilmEdit['courseduration']; ?>" />

                                </div>
                            </div>
                            <div class="col-md-4">
                                <div class="mb-3">
                                    <label class="form-label" for="basic-icon-default-fullname">Award</label>
                                    <select name="awards" class="form-control">
                                        <?php
                                        while ($rowaward = $resultaward->fetch_assoc()) {
                                            $selected = ($rowaward['awardname'] == $getFilmEdit['awards']) ? 'selected' : '';
                                            echo '<option value="' . $rowaward['awardname'] . '" ' . $selected . '>' . $rowaward['awardname'] . '</option>';
                                        }
                                        ?>
                                    </select>


                                </div>
                            </div>

                            <div class="col-md-4">
                                <div class="mb-3">
                                    <label class="form-label" for="basic-icon-default-fullname">Course Subject (If
                                        Multiple)</label>
                                    <select name="coursesubject[]" id="coursesSelect" class="js-example-basic-multiple"
                                        multiple>
                                        <?php
                                        while ($roww = $resultsubject->fetch_assoc()) {
                                            $selected = (in_array($roww['subjectname'], explode(',', $getFilmEdit['coursesubject']))) ? 'selected' : '';
                                            echo '<option value="' . $roww['subjectname'] . '" ' . $selected . '>' . $roww['subjectname'] . '</option>';
                                        }
                                        ?>
                                    </select>
                                </div>
                            </div>

                            <div class="col-md-8">
                                <div class="mb-3">
                                    <label for="formFile" class="form-label"> Cover Image</label>
                                    <input class="form-control" type="file" id="image" name="image" accept="image/*"
                                        accept="image/*">
                                </div>
                            </div>
                            <div class="col-md-4">
                                <div class="form-group">
                                    <img src="assets/course/<?php echo $getFilmEdit['image']; ?>" width='180px'>
                                </div>
                            </div>
                            <div class="col-12 mt-3">
                                <div class="form-group">
                                    <label>Course Description</label>
                                    <textarea class="form-control" name="description" rows="5"
                                        id="compose-textarea"><?php echo $getFilmEdit['description']; ?></textarea>
                                </div>
                            </div>
                            <div class="col-sm-12">
                                <div class="form-group">
                                    <label>Course Curriculam</label>
                                    <textarea class="form-control" name="subdescription" rows="5"
                                        id="edit-textarea"><?php echo $getFilmEdit['subdescription']; ?></textarea>

                                </div>
                            </div>
                        </div>






                        <div class="card-footer">
                            <button type="submit" name="updateFilmBtn" class="btn btn-info float-right"><i
                                    class="fa fa-floppy-o"></i> Update</button>
                            <a href="add-course.php" class="btn btn-default"><i class="fa fa-refresh"></i> Reset</a>
                        </div>
                    </form>
                </div>
            </div>
        <?php } else { ?>
            <div class="card mb-4">
                <div class="card-header d-flex justify-content-center align-items-center">
                    <h5 class="mb-0">Create Course</h5>
                </div>
                <div class="card-body">
                    <form action="add-course.php" method="post" enctype="multipart/form-data">
                        <div class="row">

                            <div class="col-md-6">
                                <div class="mb-3">
                                    <label class="form-label" for="basic-icon-default-fullname">Course Code</label>
                                    <div class="input-group input-group-merge">
                                        <input type="text" class="form-control" name="coursecode" required />
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="mb-3">
                                    <label class="form-label" for="basic-icon-default-fullname">Course Name</label>
                                    <div class="input-group input-group-merge">

                                        <input type="text" class="form-control" name="courses" required />
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-4">
                                <div class="mb-3">
                                    <label class="form-label" for="basic-icon-default-company">Course MRP</label>
                                    <div class="input-group input-group-merge">

                                        <input type="text" class="form-control" name="cmrp" required/>
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-4">
                                <div class="mb-3">
                                    <label class="form-label" for="basic-icon-default-company">Course Selling Price</label>
                                    <div class="input-group input-group-merge">

                                        <input type="text" class="form-control" name="cprice" />
                                    </div>
                                </div>
                            </div>
                            
                            <div class="col-md-4">
                                <div class="mb-3">
                                    <label class="form-label" for="basic-icon-default-company">Minimum Fees</label>
                                    <div class="input-group input-group-merge">

                                        <input type="text" class="form-control" name="minimumfees" required />
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-4">
                                <div class="mb-3">
                                    <label class="form-label" for="basic-icon-default-fullname">Course Duration ( In Months )</label>
                                    <div class="input-group input-group-merge">

                                        <input type="number" class="form-control" name="courseduration" required />
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-4">
                                <div class="mb-3">
                                    <label class="form-label" for="basic-icon-default-fullname">Award</label>
                                    <select name="awards" class="form-control">
                                        <?php
                                        while ($rowaward = $resultaward->fetch_assoc()) {
                                            echo '<option value="' . $rowaward['awardname'] . '">' . $rowaward['awardname'] . '</option>';
                                        }
                                        ?>
                                    </select>


                                </div>
                            </div>



                            <div class="col-md-4">
                                <div class="mb-3">
                                    <label class="form-label" for="basic-icon-default-fullname">Course Subject (If
                                        Multiple)</label>
                                    <select name="coursesubject[]" id="coursesSelect" class="js-example-basic-multiple"
                                        multiple>
                                        <?php
                                        while ($roww = $resultsubject->fetch_assoc()) {
                                            echo '<option value="' . $roww['subjectname'] . '">' . $roww['subjectname'] . '</option>';
                                        }
                                        ?>
                                    </select>

                                </div>
                            </div>
                            <div class="col-md-8">
                                <div class="mb-3">
                                    <label for="formFile" class="form-label">Cover Image</label>
                                    <input class="form-control" type="file" id="image" name="image"
                                        onchange="galleryImage(this)" accept="image/*" required>
                                </div>
                            </div>
                            <div class="col-md-4">
                                <div class="form-group">
                                    <label>Uploaded Image</label>
                                    <img id="gall_img" src="" style="width:180px;">
                                </div>
                            </div>
                            <div class="col-12 mt-3">
                                <div class="form-group">
                                    <label>Course Description</label>
                                    <textarea class="form-control" name="description" rows="20" required
                                        id="compose-textarea"></textarea>
                                </div>
                            </div>
                            <div class="col-sm-12 mt-3">
                                <div class="form-group">
                                    <label>Course Curriculam</label>
                                    <textarea class="form-control" name="subdescription" rows="20" required
                                        id="edit-textarea"></textarea>

                                </div>
                            </div>
                        </div>






                        <button type="submit" class="btn btn-primary" name="submit">Submit</button>
                    </form>

                </div>
            </div>
            <div class="table-responsive">

                <table id="example" class="table table-striped table-bordered">
                    <thead>
                        <tr>
                            <th>#</th>
                            <th>Course Image</th>
                            <th>Course Name</th>
                            <th>Duration</th>
                            <th>Price</th>
                            <th>Action</th>
                        </tr>
                    </thead>
                    <tbody>
                        <?php $increment = 1;
                        foreach ($result as $row) { ?>
                            <tr>
                                <td>
                                    <?php echo $increment; ?>
                                </td>
                                <td>
                                    <img src="assets/course/<?php echo $row['image']; ?>" alt="<?php echo $row['cprice']; ?>"
                                        width="30px">
                                </td>
                                <td>
                                    <?php echo $row['courses']; ?>
                                </td>
                                <td>
                                    <?php echo $row['courseduration']; ?>
                                </td>
                                <td>
                                    ₹
                                    <?php echo $row['cprice']; ?>
                                </td>

                                <td>
                                    <div class="dropdown">
                                        <button type="button" class="btn p-0 dropdown-toggle hide-arrow"
                                            data-bs-toggle="dropdown"><i class="bx bx-dots-vertical-rounded"></i></button>
                                        <div class="dropdown-menu">
                                            <a href="add-course.php?idEdit=<?php echo $row['id']; ?>" class="dropdown-item"
                                                title="Update"><i class="bx bx-edit-alt me-1"></i>Edit</a>
                                            <a class="dropdown-item deleteitems"
                                                href="add-course.php?id=<?php echo $row['id']; ?>&delete=true" title="Delete"><i
                                                    class="bx bx-trash me-1"></i>Delete</a>
                                        </div>
                                    </div>
                                </td>

                            </tr>
                            <?php $increment++;
                        } ?>
                    </tbody>
                </table>
            </div>
        <?php } ?>
    </div>

    <script src="https://unpkg.com/sweetalert/dist/sweetalert.min.js"></script>
    <script type="text/javascript">
        function galleryImage(input) {
            if (input.files && input.files[0]) {
                var reader = new FileReader();
                reader.onload = function (e) {
                    $('#gall_img').attr('src', e.target.result);
                };
                reader.readAsDataURL(input.files[0]);
            }
        }
        document.getElementById('image').addEventListener('change', function () {
            var fileInput = this;
            var maxSize = 5 * 1024 * 1024;

            if (fileInput.files.length > 0) {
                var file = fileInput.files[0];
                if (file.size > maxSize) {
                    alert('Image size exceeds 5MB. Please choose a smaller image.');
                    fileInput.value = '';
                }
            }
        });
        const deleteItems = document.querySelectorAll('.deleteitems');

        deleteItems.forEach(function (element) {
            element.addEventListener('click', function (event) {
                event.preventDefault();
                return swal({
                    title: "Are you sure?",
                    text: "Once deleted, you will not be able to recover this Data!",
                    icon: "warning",
                    buttons: true,
                    dangerMode: true,
                }).then((willDelete) => {
                    if (willDelete) {
                        window.location.href = this.getAttribute("href");
                    } else {
                        swal("Your Data is safe!");
                    }
                });
            });
        });
    </script>

    <?php include 'footer.php' ?>