<?php
include 'header.php';
include 'config.php';
// Insertion Logic
if ($_SERVER["REQUEST_METHOD"] == "POST" && isset($_POST['submit'])) {
    $link = ucwords($_POST['link']);
    
        $sql = "INSERT INTO video (link, dt) VALUES (?, current_timestamp())";

        $stmt = mysqli_prepare($db, $sql);

        mysqli_stmt_bind_param($stmt, "s", $link);

        if (mysqli_stmt_execute($stmt)) {
            echo '<script>alert("Video added successfully");window.location.href="addVideo.php"</script>';
        } else {
            echo '<script>alert("Something went wrong, Please try again.");window.location.href="addVideo.php"</script>';
        }

        // Close the statement
        mysqli_stmt_close($stmt);
    }



// Check if we're deleting a Video
if ($_SERVER['REQUEST_METHOD'] === 'GET' && isset($_GET['delete']) && isset($_GET['id'])) {
    $idToDelete = $_GET['id'];


    $stmt = $db->prepare("DELETE FROM video WHERE id = ?");
    $stmt->bind_param("i", $idToDelete);

    if ($stmt->execute()) {
        // Subject deleted successfully, trigger SweetAlert
        echo '<script>
            alert( "Video have been deleted successfully!")
                window.location.href = "addVideo.php";
        </script>';
    } else {
        // Error occurred, show error message
        echo '<script>
            alert("Error deleting Video.")
                window.location.href = "addVideo.php";
        </script>';
    }

    $stmt->close();
}


?>
<div class="content-wrapper">
    <div class="p-3">

        <div class="col-xl">
            <h4 class="p-3 mb-4">
                <span class="text-muted fw-light">Home/</span> Create Video Iframe
            </h4>
            <div class="col-5 my-4">
                <button type="button" class="btn btn-primary" data-toggle="modal" data-target="#createCategoryModal">
                    Add Video Iframe
                </button>
            </div>
           

            <!-- Modal -->
            <div class="modal fade" id="createCategoryModal" tabindex="-1" role="dialog"
                aria-labelledby="exampleModalLabel" aria-hidden="true">
                <div class="modal-dialog" role="document">
                    <div class="modal-content">
                        <div class="modal-header">
                            <h5 class="modal-title" id="exampleModalLabel">Create Video</h5>
                            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                <span aria-hidden="true">&times;</span>
                            </button>
                        </div>

                        <!-- Modal Body -->
                        <div class="modal-body">
                            <form action="" method="post">
                                <div class="row">
                                    <div class="mb-3 col-md-12">
                                        <label for="formFile" class="form-label">Youtube Iframe Link</label>
                                        <input class="form-control" type="text" id="link" name="link" required>
                                    </div>
                                </div>

                                <div class="col-12 text-center mt-3">
                                    <button name="submit" type="submit" class="btn btn-primary">Submit</button>
                                </div>
                            </form>


                        </div>
                    </div>
                </div>
            </div>


            <div class="table-responsive">
                <table id="example" class="table table-striped table-bordered">
                    <thead>
                        <tr>
                            <th>S.No.</th>
                            <th>LINK</th>
                            <th>Action</th>
                        </tr>
                    </thead>
                    <tbody>
                        <?php
                        $iiDD = 1;
                        $sql = "SELECT * FROM video";
                        $result = mysqli_query($db, $sql);

                        if (mysqli_num_rows($result) > 0) {
                            $getAllTeamMembers = mysqli_fetch_all($result, MYSQLI_ASSOC);

                            foreach ($getAllTeamMembers as $key => $values) {
                                ?>
                                <tr>
                                    <td>
                                        <?php echo $iiDD++; ?>
                                    </td>
                                    <td>

                                    <?php echo $values['link']; ?>
                                        
                                    </td>
                                    <td>
                                    <a class="dropdown-item deleteitems"
                                        href="addVideo.php?id=<?php echo $values['id']; ?>&delete=true"
                                        title="Delete"><i class="bx bx-trash me-1"></i> Delete</a>
                                    </td>

                                </tr>
                                <?php
                            }
                        } else {
                            echo '<tr><td colspan="5">No Videos Records found.</td></tr>';
                        }
                        ?>
                    </tbody>
                </table>
            </div>
        </div>
    </div>

    <script src="https://unpkg.com/sweetalert/dist/sweetalert.min.js"></script>
    <script>
        
        const deleteItems = document.querySelectorAll('.deleteitems');
        deleteItems.forEach(function (element) {
            element.addEventListener('click', function (event) {
                event.preventDefault();
                return swal({
                    title: "Are you sure?",
                    text: "Once deleted, you will not be able to recover this Data!",
                    icon: "warning",
                    buttons: true,
                    dangerMode: true,
                }).then((willDelete) => {
                    if (willDelete) {
                        window.location.href = this.getAttribute("href");
                    } else {
                        swal("Your Data is safe!");
                    }
                });
            });
        });

    </script>

    <?php include 'footer.php' ?>