<?php include 'header.php' ?>
<?php
include 'config.php';

// Insertion logic
if (isset($_POST['submit'])) {
    // Check if a row already exists in the home table
    $checkSql = "SELECT COUNT(*) FROM home";
    $checkResult = mysqli_query($db, $checkSql);
    $existingCount = mysqli_fetch_row($checkResult)[0];
    if ($existingCount == 0) {
        // Get data from the form
        $title = $_POST['title'];
        $description = $_POST['description'];


        // File Upload Handling
        $img = $_FILES['image']['name'];

        // Insert data into the database
        $sql = "INSERT INTO home (title, description, image) VALUES (?, ?, ?)";
        $stmt = $db->prepare($sql);

        if ($stmt) {
            $stmt->bind_param("sss", $title, $description, $img);

            if ($stmt->execute()) {
                move_uploaded_file($_FILES['image']['tmp_name'], "assets/homecontent/" . $_FILES['image']['name']);
                echo "<script>
                alert('New Record Has Been Successfully Added');
                window.location.href = 'home-content.php';
            </script>";

            } else {
                echo "Error executing the statement: " . $stmt->error . " SQL: " . $sql;

            }

            // Close the prepared statement
            $stmt->close();
        } else {
            echo "Error in the statement: ";
        }
    } else {
        // Row exists, alert the message
        echo '<script>alert("Home Content already exists. Delete The Content And Insert New One.");</script>';
    }

}
// Deletion Logic
if ($_SERVER['REQUEST_METHOD'] === 'GET' && isset($_GET['delete']) && isset($_GET['id'])) {
    $idToDelete = $_GET['id'];

    $stmt = $db->prepare("SELECT image FROM home WHERE id = ?");
    $stmt->bind_param("i", $idToDelete);
    $stmt->execute();
    $stmt->bind_result($imageToDelete);
    $stmt->fetch();
    $stmt->close();

    // Delete the record from the database
    $stmt = $db->prepare("DELETE FROM home WHERE id = ?");
    $stmt->bind_param("i", $idToDelete);

    if ($stmt->execute()) {
        // Remove the image file from the folder
        $target_dir = $DOC_ROOT . "assets/homecontent/";
        $fileToDelete = $target_dir . $imageToDelete;

        if (file_exists($fileToDelete)) {
            unlink($fileToDelete);
        }

        echo '<script>
            alert("Record and Image have Been Successfully Deleted");
            setTimeout(function() {
              window.location.href = "home-content.php";
            }, 100); 
          </script>';
    } else {
        echo "Error deleting record: " . $stmt->error;
    }

    $stmt->close();
}
// Update Logic
if (isset($_POST['updateFilmBtn'])) {
    $idEdID = $_POST['id'];
    $title = mysqli_real_escape_string($db, $_POST['title']);
    $description = mysqli_real_escape_string($db, $_POST['description']);

    $storyId = mysqli_real_escape_string($db, $idEdID);

    $target_dir = "assets/homecontent/";

    if (isset($_FILES['image']) && $_FILES['image']['error'] === UPLOAD_ERR_OK) {
        $tmpThumbnailPath = $_FILES['image']['tmp_name'];
        $thumbnailFilename = time() . '_' . $_FILES['image']['name'];
        $targetThumbnailFile = $target_dir . $thumbnailFilename;

        if (move_uploaded_file($tmpThumbnailPath, $targetThumbnailFile)) {
            $oldThumbnailPath = $target_dir . $oldThumbnail;
            if (file_exists($oldThumbnailPath)) {
                unlink($oldThumbnailPath);
            }

            $updateThumbnailSql = "UPDATE home SET image = ? WHERE id = ?";
            $stmtThumbnail = mysqli_prepare($db, $updateThumbnailSql);

            if ($stmtThumbnail) {
                mysqli_stmt_bind_param($stmtThumbnail, "si", $thumbnailFilename, $storyId);
                if (!mysqli_stmt_execute($stmtThumbnail)) {
                    echo '<script>
                      alert("Error updating the thumbnail in the database.");
                      setTimeout(function() {
                          window.location.href = "home-content.php";
                      }, 100); 
                  </script>';
                    exit();
                }
            } else {
                echo '<script>
                  alert("Error preparing the update statement for thumbnail.");
                  setTimeout(function() {
                      window.location.href = "home-content.php";
                  }, 100); 
              </script>';
                exit();
            }
        } else {
            echo '<script>
              alert("Error uploading the thumbnail image.");
              setTimeout(function() {
                  window.location.href = "home-content.php";
              }, 100); 
          </script>';
            exit();
        }
    }




    $updateSql = "UPDATE home SET title = ?, description = ? WHERE id = ?";
    $stmt = mysqli_prepare($db, $updateSql);

    if ($stmt) {
        mysqli_stmt_bind_param($stmt, "ssi", $title, $description, $storyId);
        if (mysqli_stmt_execute($stmt)) {
            echo '<script>
                  alert("Record has been updated successfully.");
                  setTimeout(function() {
                      window.location.href = "home-content.php";
                  }, 100); 
              </script>';
            exit();
        } else {
            echo '<script>
                  alert("Error updating the record in the database.");
                  setTimeout(function() {
                      window.location.href = "home-content.php";
                  }, 100); 
              </script>';
            exit();
        }
    } else {
        echo '<script>
              alert("Error preparing the update statement.");
              setTimeout(function() {
                  window.location.href = "home-content.php";
              }, 100); 
          </script>';
        exit();
    }
}
// Fetch data from the "posts" table
$query = "SELECT * FROM home";
$result = mysqli_query($db, $query);

// Check if the query was successful
if (!$result) {
    die("Query failed: " . mysqli_error($db));
}
?>

<div class="content-wrapper">
    <div class="col-xl">
        <?php
        if (isset($_GET['idEdit']) && !empty($_GET['idEdit'])) {
            $idEdit = $_GET['idEdit'];

            $filmId = mysqli_real_escape_string($db, $idEdit);
            $sql = "SELECT * FROM home WHERE id = $filmId";
            $result = mysqli_query($db, $sql);

            if ($result && mysqli_num_rows($result) > 0) {
                $getFilmEdit = mysqli_fetch_assoc($result);
            }
            ?>
            <div class="card">
                <h5 class="card-header">Update Home content</h5>
                <div class="card-body">
                    <form action="home-content.php" method="post" enctype="multipart/form-data">
                        <input type="hidden" name="id" value="<?php echo $getFilmEdit['id']; ?>">
                        <div class="row">
                            <div class="col-md-5">
                                <div class="mb-3">
                                    <label for="formFile" class="form-label"> Side Image</label>
                                    <input class="form-control" type="file" id="image" name="image"
                                        onchange="galleryImage(this)" accept="image/*">
                                </div>
                            </div>
                            <div class="col-sm-3">
                                <div class="form-group">
                                    <img src="assets/homecontent/<?php echo $getFilmEdit['image']; ?>" width='180px'>
                                </div>
                            </div>
                            <div class="col-md-4">
                                <div class="mb-3">
                                    <label class="form-label" for="basic-icon-default-fullname">Title</label>
                                    <div class="input-group input-group-merge">

                                        <input type="text" class="form-control" id="basic-icon-default-fullname"
                                            aria-label="title" aria-describedby="basic-icon-default-fullname2" name="title"
                                            value="<?php echo $getFilmEdit['title']; ?>" maxlength="200" />
                                    </div>
                                </div>
                            </div>


                            <div class="col-md-12">
                                <div class="mb-3">
                                    <label class="form-label" for="basic-icon-default-message">Content</label>
                                    <div class="input-group input-group-merge">
                                        <span id="basic-icon-default-message2" class="input-group-text"><i
                                                class="bx bx-comment"></i></span>
                                                <textarea id="basic-icon-default-message" class="form-control" name="description"
                                        ><?php echo $getFilmEdit['description']; ?></textarea>
                                        
                                    </div>
                                </div>
                            </div>


                        </div>

                        <button type="submit" class="btn-lg btn-primary" name="updateFilmBtn">Submit</button>
                    </form>

                </div>
            </div>

        <?php } else { ?>
            <div class="card mb-4">
                <h4 class="p-3 mb-4">
                    <span class="text-muted fw-light">Home/</span> Create Home Content
                </h4>
                <div class="card-body">
                    <form action="home-content.php" method="post" enctype="multipart/form-data">
                        <div class="row">
                            <div class="col-md-6">
                                <label for="formFile" class="form-label">Side Image</label>
                                <input class="form-control" type="file" id="image" name="image"
                                    onchange="galleryImage(this)" accept="image/*">
                            </div>
                            <div class="col-md-6">
                                <div class="mb-3">
                                    <label class="form-label" for="basic-icon-default-fullname">Title</label>
                                    <div class="input-group input-group-merge">

                                        <input type="text" class="form-control" name="title" required />
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-12">
                                <label class="form-label" for="basic-icon-default-message">Content</label>
                                <div class="input-group input-group-merge">
                                    <span id="basic-icon-default-message2" class="input-group-text"><i
                                            class="bx bx-comment"></i></span>
                                    <textarea id="basic-icon-default-message" class="form-control" name="description"
                                        required></textarea>
                                </div>
                            </div>
                        </div>





                        <button type="submit" class="btn btn-primary mt-2" name="submit">Submit</button>
                    </form>

                </div>
            </div>
            <div class="table-responsive">

                <table id="example" class="table table-striped table-bordered">
                    <thead>
                        <tr>
                            <th>#</th>
                            <th>Side Image</th>
                            <th>Title</th>

                            <th>Action</th>
                        </tr>
                    </thead>
                    <tbody>
                        <?php $increment = 1;
                        foreach ($result as $row) { ?>
                            <tr>
                                <td>
                                    <?php echo $increment; ?>
                                </td>
                                <td>
                                    <?php
                                    $imagePath = "assets/homecontent/" . $row['image'];

                                    if (!empty($row['image']) && file_exists($imagePath)) {

                                        echo '<img src="' . $imagePath . '" alt="' . $row['title'] . '" style="width:20px;height:20px;border-radius:50%;">';
                                    } else {

                                        echo '<img src="../assets/images/user.png" alt="' . $row['title'] . '" style="width:50px;height:50px;border-radius:50%;">';
                                    }
                                    ?>

                                </td>
                                <td>
                                    <?php echo $row['title']; ?>
                                </td>

                                <td>
                                    <div class="dropdown">
                                        <button type="button" class="btn p-0 dropdown-toggle hide-arrow"
                                            data-bs-toggle="dropdown"><i class="bx bx-dots-vertical-rounded"></i></button>
                                        <div class="dropdown-menu">
                                            <a href="home-content.php?idEdit=<?php echo $row['id']; ?>" class="dropdown-item"
                                                title="Update"><i class="bx bx-edit-alt me-1"></i>Edit</a>
                                            <a class="dropdown-item"
                                                href="home-content.php?id=<?php echo $row['id']; ?>&delete=true" title="Delete"
                                                id="deleteitems"><i class="bx bx-trash me-1"></i> Delete</a>
                                        </div>
                                    </div>
                                </td>
                            </tr>
                            <?php $increment++;
                        } ?>
                    </tbody>
                </table>
            </div>
        <?php } ?>
    </div>
    <script src="https://unpkg.com/sweetalert/dist/sweetalert.min.js"></script>
    <script type="text/javascript">
        function galleryImage(input) {
            if (input.files && input.files[0]) {
                var reader = new FileReader();
                reader.onload = function (e) {
                    $('#gall_img').attr('src', e.target.result);
                };
                reader.readAsDataURL(input.files[0]);
            }
        }
        document.getElementById('image').addEventListener('change', function () {
            var fileInput = this;
            var maxSize = 5 * 1024 * 1024; // 5Mb

            if (fileInput.files.length > 0) {
                var file = fileInput.files[0];
                if (file.size > maxSize) {
                    alert('Image size exceeds 5Mb. Please choose a smaller image.');
                    fileInput.value = '';
                }
            }
        });
        document.getElementById('deleteitems').addEventListener('click', function (event) {
            event.preventDefault();
            return swal({
                title: "Are you sure?",
                text: "Once deleted, you will not be able to recover this Data!",
                icon: "warning",
                buttons: true,
                dangerMode: true,
            }).then((willDelete) => {
                if (willDelete) {
                    window.location.href = this.getAttribute("href");
                } else {
                    swal("Your Data is safe!");
                }
            });
        });
    </script>

    <?php include 'footer.php' ?>