<script src="https://code.jquery.com/jquery-3.6.4.min.js"></script>
<script>
    $(document).ready(function () {

        updateCourseSubject();

        $('select[name="course"]').change(function () {
            updateCourseSubject();
        });

        function updateCourseSubject() {
            var selectedCourse = $('select[name="course"]').val();

            $.ajax({
                type: 'POST',
                url: 'fetch_coursesubject.php',
                data: { courseName: selectedCourse },
                success: function (response) {

                    $('input[name="coursesubject"]').val(response);
                }
            });
        }
    });
</script>

<?php
include 'header.php';
include 'config.php';


// Deletion Logic
if ($_SERVER['REQUEST_METHOD'] === 'GET' && isset($_GET['delete']) && isset($_GET['id'])) {
    $idToDelete = $_GET['id'];

    $stmt = $db->prepare("SELECT image FROM students WHERE id = ?");
    $stmt->bind_param("i", $idToDelete);
    $stmt->execute();
    $stmt->bind_result($imageToDelete);
    $stmt->fetch();
    $stmt->close();

    // Delete the record from the database
    $stmt = $db->prepare("DELETE FROM students WHERE id = ?");
    $stmt->bind_param("i", $idToDelete);

    if ($stmt->execute()) {
        // Remove the image file from the folder
        $target_dir = $DOC_ROOT . "assets/students/";
        $fileToDelete = $target_dir . $imageToDelete;

        if (file_exists($fileToDelete)) {
            unlink($fileToDelete);
        }

        echo '<script>
            alert("Record and Image have Been Successfully Deleted");
            setTimeout(function () {
                window.location.href = "view-students.php";
            }, 100); 
        </script>';
    } else {
        echo "Error deleting record: " . $stmt->error;
    }

    $stmt->close();
}
// Fetch data from the "students" table
$query = "SELECT * FROM students ORDER BY id DESC";
$result = mysqli_query($db, $query);
// Check if the query was successful
if (!$result) {
    die("Query failed: " . mysqli_error($db));
}

// Update logic
if (isset($_POST['updateFilmBtn'])) {
    $id = mysqli_real_escape_string($db, $_POST['id']);
    $name = mysqli_real_escape_string($db, $_POST['name']);
    $postcode = mysqli_real_escape_string($db, $_POST['postcode']);
    $city = mysqli_real_escape_string($db, $_POST['city']);
    $abbr = mysqli_real_escape_string($db, $_POST['abbr']);
    $state = mysqli_real_escape_string($db, $_POST['state']);
    $mobile = mysqli_real_escape_string($db, $_POST['mobile']);
    $email = mysqli_real_escape_string($db, $_POST['email']);
    $minfees = mysqli_real_escape_string($db, $_POST['minfees']);
    $feesreceived = mysqli_real_escape_string($db, $_POST['feesreceived']);
    $balance = mysqli_real_escape_string($db, $_POST['balance']);
    $highqualification = mysqli_real_escape_string($db, $_POST['highqualification']);
    $course = mysqli_real_escape_string($db, $_POST['course']);
    $duration = mysqli_real_escape_string($db, $_POST['duration']);
    $father = mysqli_real_escape_string($db, $_POST['father']);
    $mother = mysqli_real_escape_string($db, $_POST['mother']);
    $dob = mysqli_real_escape_string($db, $_POST['dob']);
    $altmobile = mysqli_real_escape_string($db, $_POST['altmobile']);
    $gender = mysqli_real_escape_string($db, $_POST['gender']);
    $aadhar = mysqli_real_escape_string($db, $_POST['aadhar']);
    $address = mysqli_real_escape_string($db, $_POST['address']);
    $caste = mysqli_real_escape_string($db, $_POST['caste']);
    $occupation = mysqli_real_escape_string($db, $_POST['occupation']);
    $coursesubject = mysqli_real_escape_string($db, $_POST['coursesubject']);
    $tmarks = mysqli_real_escape_string($db, $_POST['tmarks']);
    $marksob = mysqli_real_escape_string($db, $_POST['marksob']);
    $careof = mysqli_real_escape_string($db, $_POST['careof']);
    $awards = mysqli_real_escape_string($db, $_POST['awards']);

    $thumbnailFilename = null;
    $signature = null;

    if (isset($_FILES['image']) && $_FILES['image']['error'] === UPLOAD_ERR_OK) {
        $data = time();
        $thumbnailFilename = $data . '_' . $_FILES['image']['name'];
        $target_dir = $DOC_ROOT . "assets/students/";
        $tmpFilePath = $_FILES['image']['tmp_name'];
        $target_file = $target_dir . $thumbnailFilename;

        if (move_uploaded_file($tmpFilePath, $target_file)) {
            // Delete the old image, if it exists
            $oldImage = "SELECT image FROM students WHERE id = '$id'";
            $oldImageResult = mysqli_query($db, $oldImage);
            $oldImageRow = mysqli_fetch_assoc($oldImageResult);

            if ($oldImageRow) {
                $oldImagePath = $target_dir . $oldImageRow['image'];
                if (file_exists($oldImagePath)) {
                    unlink($oldImagePath);
                }
            }
        } else {
            echo '<script>
                alert("Error uploading the new Student image.");
            </script>';
        }
    }
    if (isset($_FILES['signature']) && $_FILES['signature']['error'] === UPLOAD_ERR_OK) {
        $data = time();
        $signature = $data . '_' . $_FILES['signature']['name'];
        $target_dir = $DOC_ROOT . "assets/signature/";
        $tmpFilePath = $_FILES['signature']['tmp_name'];
        $target_file = $target_dir . $signature;

        if (move_uploaded_file($tmpFilePath, $target_file)) {
            // Delete the old image, if it exists
            $oldImage = "SELECT signature FROM students WHERE id = '$id'";
            $oldImageResult = mysqli_query($db, $oldImage);
            $oldImageRow = mysqli_fetch_assoc($oldImageResult);

            if ($oldImageRow) {
                $oldImagePath = $target_dir . $oldImageRow['image'];
                if (file_exists($oldImagePath)) {
                    unlink($oldImagePath);
                }
            }
        } else {
            echo '<script>
                alert("Error uploading the new Signature image.");
            </script>';
        }
    }

    $updateQuery = "UPDATE students SET name = '$name', mobile = '$mobile',altmobile = '$altmobile',gender = '$gender',address = '$address',aadhar = '$aadhar', email = '$email', highqualification = '$highqualification', course = '$course', duration = '$duration',awards = '$awards' ,minfees = '$minfees',feesreceived = '$feesreceived',balance = '$balance',father = '$father', careof = '$careof', mother = '$mother', dob = '$dob', abbr = '$abbr', state = '$state', city = '$city', postcode = '$postcode', caste = '$caste', occupation = '$occupation', coursesubject = '$coursesubject', tmarks = '$tmarks', marksob = '$marksob'";

    if ($thumbnailFilename !== null) {
        // If a new image is uploaded, update the image filename
        $updateQuery .= ", image = '$thumbnailFilename'";
    }
    if ($signature !== null) {
        // If a new image is uploaded, update the image filename
        $updateQuery .= ", signature = '$signature'";
    }

    $updateQuery .= " WHERE id = '$id'";

    if (mysqli_query($db, $updateQuery)) {
        echo '<script>
            alert("Record has Been Updated Successfully");
            setTimeout(function () {
                window.location.href = "view-students.php";
            }, 100); 
        </script>';
    } else {
        echo '<script>
            alert("Something Went Wrong");
            setTimeout(function () {
                window.location.href = "view-students.php";
            }, 100); 
        </script>';
    }
}

// generate result logic
if (isset($_GET['regno'])) {
    $regno = $_GET['regno'];

    // Check if the result already exists for the given regno
    $checkDuplicateSql = "SELECT COUNT(*) FROM result WHERE studentname = ?";
    $checkDuplicateStmt = $db->prepare($checkDuplicateSql);

    if ($checkDuplicateStmt) {
        $checkDuplicateStmt->bind_param("s", $regno);
        $checkDuplicateStmt->execute();
        $checkDuplicateStmt->bind_result($count);
        $checkDuplicateStmt->fetch();
        $checkDuplicateStmt->close();

        if ($count > 0) {
            echo '<script>alert("Result for ' . $regno . ' is already generated.");</script>';
        } else {
            // Insert the regno into the result table
            $insertSql = "INSERT INTO result (studentname) VALUES (?)";
            $insertStmt = $db->prepare($insertSql);

            if ($insertStmt) {
                $insertStmt->bind_param("s", $regno);

                if ($insertStmt->execute()) {
                    echo '<script>
                        alert("Result Has Been Created.");
                        var newTab = window.open("result-student.php?idresult=' . $regno . '", "_blank");
                        if (newTab) {
                            newTab.focus(); // Focus on the new tab
                        } else {
                            window.location.href = "result-student.php?idresult=' . $regno . '";
                        }
                    </script>';
                } else {
                    echo 'Error executing the statement: ' . $insertStmt->error . ' SQL: ' . $insertSql;
                }

                $insertStmt->close();
            } else {
                echo "Error in the statement: " . $db->error;
            }
        }
    } else {
        echo "Error in the statement for duplicate check: " . $db->error;
    }
} 
?>
<div class="content-wrapper">
    <div class="col-xl">
        <?php
        if (isset($_GET['idEdit']) && !empty($_GET['idEdit'])) {
            $idEdit = $_GET['idEdit'];

            $filmId = mysqli_real_escape_string($db, $idEdit);
            $sql = "SELECT * FROM students WHERE id = $filmId";
            $result = mysqli_query($db, $sql);

            if ($result && mysqli_num_rows($result) > 0) {
                $getFilmEdit = mysqli_fetch_assoc($result);
            }
            ?>
        <div class="card mb-4">

            <div class="card-header d-flex justify-content-center align-items-center">
                <h5 class="mb-0">Update Students Information</h5>
            </div>
            <div class="card-body">

                <form action="" method="post" enctype="multipart/form-data">
                    <input type="hidden" name="id" value="<?php echo $getFilmEdit['id']; ?>">
                    <div class="row">
                        <input type="text" name="regno" hidden value="<?php echo $getFilmEdit['regno']; ?>" />
                        <div class="col-12">
                            <label class="form-label" for="basic-icon-default-fullname">Registration Number</label>
                            <input type="text" class="form-control" id="basic-icon-default-fullname"
                                placeholder="John Doe" aria-label="John Doe"
                                aria-describedby="basic-icon-default-fullname2" name="regno"
                                value="<?php echo $getFilmEdit['regno']; ?>" readonly />
                        </div>
                        <div class="mb-3 col-md-2">
                            <label class="form-label" for="basic-icon-default-fullname">Abbr</label>
                            <select name="abbr" class="form-control">
                                <option value="Mr" <?php echo ($getFilmEdit['abbr']=='Mr' ) ? 'selected' : '' ; ?>>Mr
                                </option>
                                <option value="Mrs" <?php echo ($getFilmEdit['abbr']=='Mrs' ) ? 'selected' : '' ; ?>>Mrs
                                </option>

                            </select>

                        </div>
                        <div class="mb-3 col-md-5">
                            <label class="form-label" for="basic-icon-default-fullname">Student Name</label>
                            <div class="input-group input-group-merge">

                                <input type="text" class="form-control" id="basic-icon-default-fullname"
                                    placeholder="John Doe" aria-label="John Doe"
                                    aria-describedby="basic-icon-default-fullname2" name="name"
                                    value="<?php echo $getFilmEdit['name']; ?>" />
                            </div>
                        </div>

                        <div class="mb-3 col-md-5">
                            <label class="form-label" for="basic-icon-default-fullname">Student Phone Number</label>
                            <div class="input-group input-group-merge">

                                <input type="text" class="form-control" id="basic-icon-default-fullname"
                                    placeholder="Phone Number" aria-label="Phone Number"
                                    aria-describedby="basic-icon-default-fullname2" name="mobile"
                                    value="<?php echo $getFilmEdit['mobile']; ?>" />
                            </div>
                        </div>
                        <div class="mb-3 col-md-4">
                            <label class="form-label" for="basic-icon-default-fullname">Care Of</label>
                            <select name="careof" class="form-control">
                                <option value="Mr" <?php echo ($getFilmEdit['careof']=='S/O' ) ? 'selected' : '' ; ?>
                                    >S/O</option>
                                <option value="Mrs" <?php echo ($getFilmEdit['careof']=='D/O' ) ? 'selected' : '' ; ?>
                                    >D/O</option>
                                <option value="Mrs" <?php echo ($getFilmEdit['careof']=='W/O' ) ? 'selected' : '' ; ?>
                                    >W/O</option>

                            </select>
                        </div>
                        <div class="mb-3 col-md-4">
                            <label class="form-label" for="basic-icon-default-fullname">Father/Husband Name</label>
                            <div class="input-group input-group-merge">

                                <input type="text" class="form-control" id="basic-icon-default-fullname"
                                    placeholder="Father /Husband Name" aria-label="Father Name"
                                    aria-describedby="basic-icon-default-fullname2" name="father"
                                    value="<?php echo $getFilmEdit['father']; ?>" />
                            </div>
                        </div>
                        <div class="mb-3 col-md-4">
                            <label class="form-label" for="basic-icon-default-fullname">Mother Name</label>
                            <div class="input-group input-group-merge">

                                <input type="text" class="form-control" id="basic-icon-default-fullname"
                                    placeholder="Mother Name" aria-label="Mother Name"
                                    aria-describedby="basic-icon-default-fullname2" name="mother"
                                    value="<?php echo $getFilmEdit['mother']; ?>" />
                            </div>
                        </div>
                        
                        <div class="mb-3 col-md-4">
                            <label class="form-label" for="basic-icon-default-fullname">Alternate Phone Number</label>
                            <div class="input-group input-group-merge">

                                <input type="text" class="form-control" id="basic-icon-default-fullname"
                                    aria-describedby="basic-icon-default-fullname2" name="altmobile"
                                    value="<?php echo $getFilmEdit['altmobile']; ?>" />
                            </div>
                        </div>
                        <div class="mb-3 col-md-4">
                            <label class="form-label" for="basic-icon-default-fullname">Email</label>
                            <div class="input-group input-group-merge">

                                <input type="text" class="form-control" id="basic-icon-default-fullname"
                                    placeholder="Email" aria-label="Email"
                                    aria-describedby="basic-icon-default-fullname2" name="email"
                                    value="<?php echo $getFilmEdit['email']; ?>" />
                            </div>
                        </div>
                        <div class="mb-3 col-md-4">
                            <label class="form-label" for="basic-icon-default-fullname">Gender</label>
                            <select name="gender" class="form-control">
                                <option value="Male" <?php echo ($getFilmEdit['gender']=='Male' ) ? 'selected' : '' ; ?>
                                    >Male</option>
                                <option value="Only Result" <?php echo ($getFilmEdit['gender']=='Female' ) ? 'selected'
                                    : '' ; ?>>Female</option>
                                <option value="Only Result" <?php echo ($getFilmEdit['gender']=='Other' ) ? 'selected'
                                    : '' ; ?>>Other</option>
                            </select>

                        </div>
                        <div class="col-md-4 mb-3">
                            <label class="form-label" for="basic-icon-default-fullname">state</label>
                            <div class="input-group input-group-merge">

                                <input type="text" class="form-control" id="basic-icon-default-fullname"
                                    placeholder="state" aria-label="state"
                                    aria-describedby="basic-icon-default-fullname2" name="state"
                                    value="<?php echo $getFilmEdit['state']; ?>" />
                            </div>
                        </div>
                        <div class="col-md-4 mb-3">
                            <label class="form-label" for="basic-icon-default-fullname">City</label>
                            <div class="input-group input-group-merge">

                                <input type="text" class="form-control" id="basic-icon-default-fullname"
                                    placeholder="city" aria-label="city" aria-describedby="basic-icon-default-fullname2"
                                    name="city" value="<?php echo $getFilmEdit['city']; ?>" />
                            </div>
                        </div>
                        <div class="col-md-4 mb-3">
                            <label class="form-label" for="basic-icon-default-fullname">Post Code</label>
                            <div class="input-group input-group-merge">

                                <input type="text" class="form-control" id="basic-icon-default-fullname"
                                    placeholder="postcode" aria-label="postcode"
                                    aria-describedby="basic-icon-default-fullname2" name="postcode"
                                    value="<?php echo $getFilmEdit['postcode']; ?>" />
                            </div>
                        </div>
                        <div class="mb-3 col-md-6">
                            <label class="form-label" for="basic-icon-default-fullname">Permanent Address</label>
                            <div class="input-group input-group-merge">

                                <input type="text" class="form-control" id="basic-icon-default-fullname"
                                    aria-describedby="basic-icon-default-fullname2" name="address"
                                    value="<?php echo $getFilmEdit['address']; ?>" />
                            </div>
                        </div>
                        <div class="mb-3 col-md-6">
                            <label class="form-label" for="basic-icon-default-fullname">Aadhar Number</label>
                            <div class="input-group input-group-merge">

                                <input type="text" class="form-control" id="basic-icon-default-fullname"
                                    aria-describedby="basic-icon-default-fullname2" name="aadhar"
                                    value="<?php echo $getFilmEdit['aadhar']; ?>" />
                            </div>
                        </div>
                        <div class="mb-3 col-md-4">
                            <label class="form-label" for="basic-icon-default-fullname">Date Of Birth</label>
                            <div class="input-group input-group-merge">

                                <input type="date" class="form-control" id="basic-icon-default-fullname"
                                    placeholder="Date Of Birth" aria-label="Date Of Birth"
                                    aria-describedby="basic-icon-default-fullname2" name="dob"
                                    value="<?php echo $getFilmEdit['dob']; ?>" />
                            </div>
                        </div>
                        <div class="mb-3 col-md-4">
                            <label class="form-label" for="basic-icon-default-fullname">Caste</label>
                            <div class="input-group input-group-merge">

                                <input type="text" class="form-control" id="basic-icon-default-fullname"
                                    placeholder="caste" aria-label="caste"
                                    aria-describedby="basic-icon-default-fullname2" name="caste"
                                    value="<?php echo $getFilmEdit['caste']; ?>" />
                            </div>
                        </div>
                        <div class="mb-3 col-md-4">
                            <label class="form-label" for="basic-icon-default-fullname">Occupation</label>
                            <div class="input-group input-group-merge">

                                <input type="text" class="form-control" id="basic-icon-default-fullname"
                                    placeholder="occupation" aria-label="occupation"
                                    aria-describedby="basic-icon-default-fullname2" name="occupation"
                                    value="<?php echo $getFilmEdit['occupation']; ?>" />
                            </div>
                        </div>
                        <div class="mb-3 col-md-12">
                            <label class="form-label" for="basic-icon-default-fullname">Highest Qualification</label>
                            <div class="input-group input-group-merge">

                                <input type="text" class="form-control" id="basic-icon-default-fullname"
                                    placeholder="Highest Qualification" aria-label="Highest Qualification"
                                    aria-describedby="basic-icon-default-fullname2" name="highqualification"
                                    value="<?php echo $getFilmEdit['highqualification']; ?>" />
                            </div>
                        </div>
                        <div class="mb-3 col-md-6">
                            <label for="formFile" class="form-label">Profile Image</label>
                            <input class="form-control" type="file" id="image" name="image"
                                onchange="galleryImage(this)" accept="image/*">
                        </div>
                        <div class="mb-3 col-md-6">
                            <label for="formFile" class="form-label">Signature</label>
                            <input class="form-control" type="file" id="signature" name="signature" accept="image/*">
                        </div>
                        <div class="col-md-6">
                            <div class="form-group">
                                <label>Student Image</label>
                                <img src="assets/students/<?php echo $getFilmEdit['image']; ?>" width='180px' height='130px'>
                            </div>
                        </div>
                        <div class="col-md-6">
                            <div class="form-group">
                                <label>Signature</label>
                                <img src="assets/signature/<?php echo $getFilmEdit['signature']; ?>" width='180px'>
                            </div>
                        </div>
<hr> <h3 class="text-center">Manage Course</h3>
                        <div class="col-sm-6">
                            <div class="form-group">
                                <label>Course</label>
                                <select name="course" class="js-example-basic-single"
                                    onchange="updateCourseDetails(this)">
                                    <?php
            $results = $db->query("SELECT * FROM courses");

            if ($results->num_rows > 0) {
                while ($row = $results->fetch_assoc()) {
                    $courseName = $row['courses'];
                    $courseDuration = $row['courseduration'];
                    $minFees = $row['minimumfees'];
                    $coursesub = $row['coursesubject'];
                    $awards = $row['awards'];
                    $cmrp = $row['cmrp'];
                    $cprice = $row['cprice'];

                    echo '<option value="' . $courseName . '" data-duration="' . $courseDuration . '" data-minfees="' . $minFees . '" data-coursesubject="' . $coursesub . '" data-awards="' . $awards . '" data-cmrp="' . $cmrp . '" data-cprice="' . $cprice . '" ' . ($getFilmEdit['course'] == $courseName ? 'selected' : '') . '>' . $courseName . '</option>';
                }
            } else {
                echo '<option value="" disabled>No courses available</option>';
            }
            ?>
                                </select>
                            </div>
                        </div>

                        <div class="col-sm-6">
                            <div class="form-group">
                                <label>Course Duration ( In Months )</label>
                                <input type="text" class="form-control" name="duration" id="durationInput"
                                    value="<?php echo $getFilmEdit['duration']; ?>" readonly>
                            </div>
                        </div>
                        <div class="col-sm-6">
                                <div class="form-group">
                                    <label>Course Subject</label>
                                    <input class="form-control" id="subjectInput" required
                                        readonly>
                                </div>
                            </div>
                            <div class="col-sm-6">
                                <div class="form-group">
                                    <label>Awards</label>
                                    <input class="form-control" value="<?php echo $getFilmEdit['awards']; ?>" name="awards" id="awardsInput" required
                                        readonly>
                                </div>
                            </div>
                        <div class="col-sm-4">
                            <div class="form-group">
                                <label>Course Price</label>
                                <input type="text" class="form-control" name="minfees" id="coursepriceInput"
                                    value="<?php echo $getFilmEdit['minfees']; ?>" readonly>
                            </div>
                        </div>
                        <div class="col-sm-4">
                            <div class="form-group">
                                <label>Minimum Fees</label>
                                <input type="text" class="form-control" id="minfeesInput" readonly>
                            </div>
                        </div>

                        <div class="col-sm-4">
                            <div class="form-group">
                                <label>Fees Received</label>
                                <input type="text" class="form-control" name="feesreceived" id="feesReceivedInput"
                                    value="<?php echo $getFilmEdit['feesreceived']; ?>" oninput="updateBalance()">
                            </div>
                        </div>

                        <div class="col-sm-4">
                            <div class="form-group">
                                <label>Balance</label>
                                <input type="text" class="form-control" name="balance" id="balanceInput"
                                    value="<?php echo $getFilmEdit['balance']; ?>" readonly>
                            </div>
                        </div>

                        <script>
                            function updateCourseDetails(select) {
                                var selectedOption = select.options[select.selectedIndex];
                                document.getElementById("durationInput").value = selectedOption.getAttribute("data-duration");
                                var selectedOption = select.options[select.selectedIndex];
                                document.getElementById("awardsInput").value = selectedOption.getAttribute("data-awards");
                                document.getElementById("minfeesInput").value = selectedOption.getAttribute("data-minfees");
                                updateBalance();
                                document.getElementById("subjectInput").value = selectedOption.getAttribute("data-coursesubject");
                                var cprice =  document.getElementById("coursepriceInput").value = selectedOption.getAttribute("data-cprice");
                                var cmrp = document.getElementById("coursepriceInput").value = selectedOption.getAttribute("data-cmrp");
                                document.getElementById("coursepriceInput").value = cprice !== '' ? cprice : cmrp;
                            }

                            function updateBalance() {
                                var feesReceived = parseFloat(document.getElementById("feesReceivedInput").value) || 0;
                                var minFees = parseFloat(document.getElementById("coursepriceInput").value) || 0;
                                var balance = minFees - feesReceived;

                                document.getElementById("balanceInput").value = balance.toFixed(2);
                            }
                        </script>



                        <hr>
                        <h3 class="text-center d-none">Manage Marks</h3>
                        <div class="col-sm-12 mt-4 d-none">
                            <div class="form-group">
                                <label>Course Subject</label>
                                <div class="input-group input-group-merge">
                                    <input type="text" name="coursesubject" id="coursesubjectInput" class="form-control"
                                        readonly>
                                </div>
                            </div>
                        </div>
                        
                        <div class="col-sm-6 mt-4 d-none">
                            <div class="form-group">
                                <label>Please provide Practical marks ( Out Of 50 ) for each subject, separated by
                                    commas.(If Multiple)</label>
                                <div class="input-group input-group-merge">
                                    <input type="text" name="tmarks" class="form-control"
                                        value="<?php echo $getFilmEdit['tmarks']; ?>">
                                </div>
                            </div>
                        </div>
                        <div class="col-sm-6 mt-4 d-none">
                            <div class="form-group">
                                <label>Please provide Obtained marks ( Out Of 50 ) for each subject, separated by
                                    commas.(If Multiple)</label>
                                <div class="input-group input-group-merge">
                                    <input type="text" name="marksob" class="form-control"
                                        value="<?php echo $getFilmEdit['marksob']; ?>">
                                </div>
                            </div>
                        </div>
                    </div>

                        <button type="submit" name="updateFilmBtn" class="btn btn-info"><i
                                class="fa fa-floppy-o"></i> Update</button>
                        
                </form>
            </div>
        </div>
        <?php } else { ?>
        <div class="card mb-4">
           
            <div class="row">
               <div class="col-md-6">
             <h4 class="p-3 mb-4">
                <span class="text-muted fw-light">Home/</span> View Students
            </h4>
                   
               </div>
               <div class="col-md-6 p-2 text-center">
            <a href="student.php" class="btn btn-primary"> Add Students</a>
                   
               </div>
            </div>
            <div class="card-body">
                <div class="table-responsive">

                    <table id="example" class="table table-striped table-bordered">
                        <thead>
                            <tr>
                                <th>#</th>
                                <th>Profile</th>
                                <th>Name</th>
                                <th>Registration No.</th>
                                <th>Mobile</th>
                                <th>Course</th>
                                <th>Marksheet</th>
                                <th>View</th>
                                 <th>Print</th>
                            </tr>
                        </thead>
                        <tbody>
                            <?php $increment = 1;
                                foreach ($result as $row) { ?>
                            <tr>
                                <td>
                                    <?php echo $increment; ?>
                                </td>
                                <td>
                                    <img src="assets/students/<?php echo $row['image']; ?>"
                                        alt="<?php echo $row['name']; ?>"
                                        style="width:50px;height:50px;border-radius:50%">
                                </td>
                                <td>
                                    <?php echo $row['name']; ?>
                                </td>
                                <td>
                                    <?php echo $row['regno']; ?>
                                </td>
                                <td>
                                    <?php echo $row['mobile']; ?>
                                </td>
                                <td>
                                    <?php echo $row['course']; ?>
                                </td>

                                <td>
                                <a href="manage-result.php?idEdit=<?php echo $row['id']; ?>"
                                                class="dropdown-item btn btn-warning" title="Update"><i
                                                    class="bx bx-cog me-1"></i>Update Result</a>
                                                    <a href="view-students.php?regno=<?php echo $row['regno']; ?>"
        class="dropdown-item mt-2 btn btn-success" title="Generate Result">
        <i class="bx bx-cog me-1"></i>Generate Result
    </a>
                                </td>

                                <td>
                                    <div class="dropdown">
                                        <button type="button" class="btn p-0 dropdown-toggle hide-arrow"
                                            data-bs-toggle="dropdown"><i
                                                class="bx bx-dots-vertical-rounded"></i></button>
                                        <div class="dropdown-menu">
                                            <a href="view-admission-form.php?idEdit=<?php echo $row['id']; ?>"
                                                class="dropdown-item" title="Update" target="_blank"><i
                                                    class="bx bx-low-vision me-1"></i>Admission Form</a>
                                            <a href="view-id-card.php?idEdit=<?php echo $row['id']; ?>"
                                                class="dropdown-item" title="Update" target="_blank"><i
                                                    class="bx bx-low-vision me-1"></i>ID Card</a>
                                            <a href="result-student.php?idresult=<?php echo $row['regno']; ?>"
                                                class="dropdown-item" title="Update" target="_blank"><i
                                                    class="bx bx-low-vision me-1"></i>Result</a>
                                            <a href="view-certificate.php?idEdit=<?php echo $row['id']; ?>"
                                                class="dropdown-item" title="Update" target="_blank"><i
                                                    class="bx bx-low-vision me-1"></i>Certificate</a>
                                            
                                            <a href="view-students.php?idEdit=<?php echo $row['id']; ?>"
                                                class="dropdown-item" title="Update"><i
                                                    class="bx bx-edit me-1"></i>Edit Info</a>
                                        </div>
                                    </div>

                                </td>
<td>
                                <?php
if (!empty($row['tmarks']) && !empty($row['marksob'])) {
    echo '<a href="print-result.php?idresult=' . $row['regno'] . '" class="dropdown-item btn btn-success mb-1" title="Update" target="_blank"><i
    class="bx bx-printer me-1"></i> Result</a>';
    echo '<a href="print-certificate.php?idEdit=' . $row['id'] . '" class="dropdown-item btn btn-success" title="Update" target="_blank"><i
    class="bx bx-printer me-1"></i> Certificate</a>';
}
?>

                                </td>
                            </tr>
                            <?php $increment++;
                                } ?>
                        </tbody>
                    </table>
                </div>
            </div>
        </div>

        <?php } ?>

    </div>
    <script src="https://unpkg.com/sweetalert/dist/sweetalert.min.js"></script>
    <script type="text/javascript">

        document.getElementById('image').addEventListener('change', function () {
            var fileInput = this;
            var maxSize = 5 * 1024 * 1024;

            if (fileInput.files.length > 0) {
                var file = fileInput.files[0];
                if (file.size > maxSize) {
                    alert('Image size exceeds 5MB. Please choose a smaller image.');
                    fileInput.value = '';
                }
            }
        });
        document.getElementById('deleteitems').addEventListener('click', function (event) {
            event.preventDefault();
            return swal({
                title: "Are you sure?",
                text: "Once deleted, you will not be able to recover this Data!",
                icon: "warning",
                buttons: true,
                dangerMode: true,
            }).then((willDelete) => {
                if (willDelete) {
                    window.location.href = this.getAttribute("href");
                } else {
                    swal("Your Data is safe!");
                }
            });
        });
    </script>

    <?php include 'footer.php' ?>