<?php
include_once('include/header.php');
include('admin/config.php');

if ($_SERVER['REQUEST_METHOD'] === 'POST') {
	$name = $_POST['name'];
	$phone = $_POST['phone'];
	$email = $_POST['email'];
	$message = $_POST['message'];

	// Check if the email ending is valid (.com, .in, or .org)
	if (!preg_match('/\.(com|in|org)$/', $email)) {
		echo '<script>
            document.addEventListener("DOMContentLoaded", function() {
                Swal.fire({
                    title: "Error!",
                    text: "Please enter a valid email address.",
                    icon: "error",
                    confirmButtonText: "OK"
                });
            });
        </script>';
	} else {
		// Check if the checkbox for terms and conditions is checked
		if (isset($_POST['checkbox']) && $_POST['checkbox'] == '1') {
			$sql = "INSERT INTO contact (name, phone, email, message) VALUES (?, ?, ?, ?)";
			$stmt = $db->prepare($sql);

			if ($stmt->execute([$name, $phone, $email, $message])) {
				echo '<script>
                    document.addEventListener("DOMContentLoaded", function() {
                        Swal.fire({
                            title: "Thank You!",
                            text: "We Have Received Your Query. We Will Be In Touch Soon!",
                            icon: "success",
                            confirmButtonText: "OK"
                        }).then((result) => {
                            if (result.isConfirmed) {
                                window.location.href = "index.php";
                            }
                        });
                    });
                </script>';
			} else {
				echo 'Error: Unable to submit the form.';
			}
		} else {
			echo '<script>
                document.addEventListener("DOMContentLoaded", function() {
                    Swal.fire({
                        title: "Error!",
                        text: "Please check the Terms & Conditions box.",
                        icon: "error",
                        confirmButtonText: "OK"
                    });
                });
            </script>';
		}
	}
}
?>
<section class="page-title gray">
	<div class="container">
		<div class="row">
			<div class="col-lg-12 col-md-12">

				<div class="breadcrumbs-wrap">
					<h1 class="breadcrumb-title">Get In Touch</h1>
					<nav class="transparent">
						<ol class="breadcrumb p-0">
							<li class="breadcrumb-item"><a href="index.php" class="text-dark">Home</a></li>
							<li class="breadcrumb-item active theme-cl" aria-current="page">Contact Us</li>
						</ol>
					</nav>
				</div>

			</div>
		</div>
	</div>
</section>
<!-- ============================ Page Title End ================================== -->

<!-- ============================ Contact Detail ================================== -->
<section>
	<div class="container">
		<div class="row align-items-start">
			<div class="col-xl-7 col-lg-6 col-md-12 col-sm-12">
				<div class="form-group">
					<h4>We'd love to here from you</h4>
					<span>Send a message and we'll responed as soos as possible </span>
				</div>
				<form id="contactForm" method="POST" action="">
					<div class="row">
						<div class="col-xl-6 col-lg-6 col-md-12 col-sm-12">
							<div class="form-group">
								<input type="text" name="name" class="form-control" id="name" required
									placeholder="Your name*" oninput="validateInput(this)">
							</div>
						</div>
						<div class="col-xl-6 col-lg-6 col-md-12 col-sm-12">
							<div class="form-group">
								<input type="email" name="email" class="form-control" id="email" required
									placeholder="Your email*">
							</div>
						</div>

						<div class="col-md-12 col-sm-12">
							<div class="form-group">

								<input type="text" name="phone" class="form-control" id="phone" required
									placeholder="Enter Phone Number" oninput="validateInput(this)">
							</div>
						</div>
						<div class="col-xl-12 col-lg-12 col-md-12 col-sm-12">
							<div class="form-group">
								<textarea name="message" id="message" class="form-control" cols="30" rows="8"
									placeholder="Your Message..." oninput="validateInput(this)"></textarea>
							</div>
						</div>
						<div class="col-lg-12 mb-3">
							<div class="custom-checkbox mb-20">
								<input class="input-checkbox" type="checkbox" name="checkbox" id="checkbox1" value="1">
								<label class="form-check-label" for="checkbox1"><span> I agree with Appointly's <a
											href="#" class="text-decoration-none text-dark">Terms & Conditions</a> <span class="color-red">*</span>
									</span></label>
							</div>
						</div>
						<div class="col-xl-12 col-lg-12 col-md-12 col-sm-12">
							<div class="form-group">
								<button class="btn theme-bg text-white btn-md" type="submit">Send Message</button>
							</div>
						</div>

					</div>

				</form>
			</div>
			<?php

			$socialLinksSql = "SELECT * FROM socialinks LIMIT 1";
			$socialLinksResult = mysqli_query($db, $socialLinksSql);
			$socialLinksRow = mysqli_fetch_assoc($socialLinksResult);

			$phoneLink = $socialLinksRow['phone'];
			$emailLink = $socialLinksRow['email'];
			$addressLink = $socialLinksRow['address'];
			$ilink = $socialLinksRow['ilink'];
			$flink = $socialLinksRow['flink'];
			$ylink = $socialLinksRow['ylink'];
			$iframe = $socialLinksRow["iframe"];
			?>
			<div class="col-xl-5 col-lg-5 col-md-12 col-sm-12">
				<div class="lmp_caption pl-lg-5">
					<ol class="list-unstyled p-0">
						<li class="d-flex align-items-start my-3 my-md-4">
							<div
								class="rounded-circle p-3 p-sm-4 d-flex align-items-center justify-content-center theme-bg-light">
								<div class="position-absolute theme-cl h5 mb-0"><i class="fas fa-home"></i></div>
							</div>
							<div class="ml-3 ml-md-4">
								<h4>Reach Us</h4>
								<p>
									<?php echo $addressLink; ?>
								</p>
							</div>
						</li>
						<li class="d-flex align-items-start my-3 my-md-4">
							<div
								class="rounded-circle p-3 p-sm-4 d-flex align-items-center justify-content-center theme-bg-light">
								<div class="position-absolute theme-cl h5 mb-0"><i class="fas fa-at"></i></div>
							</div>
							<div class="ml-3 ml-md-4">
								<h4>Drop A Mail</h4>
								<p>
									<?php echo $emailLink; ?>
								</p>
							</div>
						</li>
						<li class="d-flex align-items-start my-3 my-md-4">
							<div
								class="rounded-circle p-3 p-sm-4 d-flex align-items-center justify-content-center theme-bg-light">
								<div class="position-absolute theme-cl h5 mb-0"><i class="fas fa-phone-alt"></i></div>
							</div>
							<div class="ml-3 ml-md-4">
								<h4>Make a Call</h4>
								<p>
									<?php echo $phoneLink; ?>
								</p>
							</div>
						</li>
					</ol>
				</div>
			</div>
		</div>
	</div>
</section>
<!-- ============================ Contact Detail ================================== -->

<!-- ============================ map Start ================================== -->
<section class="p-0">
	
		<?php echo stripslashes($iframe); ?>

</section>
<div class="clearfix"></div>
<!-- ============================ map End ================================== -->

<script src="https://cdn.jsdelivr.net/npm/sweetalert2@10"></script>

<script>
	function validateInput(inputElement) {
		const disallowedCharsRegex = /[?<>!;]/g;

		const inputValue = inputElement.value;

		const sanitizedValue = inputValue.replace(disallowedCharsRegex, '');

		inputElement.value = sanitizedValue;
	}
</script>

<?php include 'include/footer.php'; ?>