<?php include_once('include/header.php'); ?>
<?php
include 'admin/config.php';

// Get the requested URL
$current_url = $_SERVER['REQUEST_URI'];

$parts = explode('/', $current_url);
$productname = end($parts);
$productname = urldecode($productname);

$sql = "SELECT * FROM courses WHERE courses = ?";
$stmt = $db->prepare($sql);
$stmt->bind_param("s", $productname);
$stmt->execute();
$result = $stmt->get_result();

if ($result->num_rows > 0) {
    $row = $result->fetch_assoc();
    ?>
        <div class="ed_detail_head bg-cover" style="background:#f4f4f4 url(assets/img/banner-3.jpg);" data-overlay="8">
            <div class="container">
                <div class="row align-items-center">

                    <div class="col-lg-7 col-md-7">
                        <div class="ed_detail_wrap light">

                            <div class="ed_header_caption">
                                <h2 class="ed_title">
                                    <?php echo $row["awards"]; ?> In 
                                    <?php echo $row["courses"]; ?>
                                </h2>
                                <ul>
                                    <li><i class="ti-calendar"></i>
                                        <?php echo $row["courseduration"]; ?> Months
                                    </li>
                                    <li><i class="ti-control-forward"></i>Award :
                                        <?php echo $row["awards"]; ?>
                                    </li>

                                </ul>
                            </div>
                            <div class="ed_header_short">
                                <p>
                                <?php
$description = $row["description"];
$strippedDescription = strip_tags($description);

$words = str_word_count($strippedDescription, 1);
$limitedDescription = implode(' ', array_slice($words, 0, 20));

echo $limitedDescription;
?>

                                </p>
                            </div>



                        </div>
                    </div>
                </div>
            </div>
        </div>
        <!-- ============================ Page Title End ================================== -->

        <!-- ============================ Course Detail ================================== -->
        <section class="gray pt-3">
            <div class="container">
                <div class="row justify-content-between">

                    <div class="col-lg-8 col-md-12 order-lg-first">

                        <!-- All Info Show in Tab -->
                        <div class="tab_box_info mt-4">
                            <ul class="nav nav-pills mb-3 light" id="pills-tab" role="tablist">
                                <li class="nav-item">
                                    <a class="nav-link active" id="overview-tab" data-toggle="pill" href="#overview" role="tab"
                                        aria-controls="overview" aria-selected="true">Overview</a>
                                </li>
                                <li class="nav-item">
                                    <a class="nav-link" id="curriculum-tab" data-toggle="pill" href="#curriculum" role="tab"
                                        aria-controls="curriculum" aria-selected="false">Curriculum</a>
                                </li>

                            </ul>

                            <div class="tab-content" id="pills-tabContent">

                                <!-- Overview Detail -->
                                <div class="tab-pane fade show active" id="overview" role="tabpanel"
                                    aria-labelledby="overview-tab">
                                    <!-- Overview -->
                                    <div class="edu_wraper">
                                        <?php echo isset($row["description"]) ? $row["description"] : 'Course Details Not Found'; ?>
                                    </div>

                                </div>

                                <!-- Curriculum Detail -->
                                <div class="tab-pane fade" id="curriculum" role="tabpanel" aria-labelledby="curriculum-tab">
                                    <div class="edu_wraper">
                                        <h4 class="edu_title">Course Circullum</h4>
                                        <div id="accordionExample" class="accordion shadow circullum">

                                            <!-- Part 1 -->
                                            <div class="card">
                                                <div id="headingOne" class="card-header bg-white shadow-sm border-0">
                                                <?php echo $row["subdescription"]; ?>
                                                </div>

                                            </div>


                                        </div>
                                    </div>
                                </div>


                            </div>
                        </div>

                    </div>

                    <!-- Sidebar -->
                    <div class="col-lg-4 col-md-12  order-lg-last">

                        <!-- Course info -->
                        <div class="ed_view_box style_3 ovrlio stick_top">

                            <div class="property_video sm">
                                <div class="thumb">
                                    <img class="pro_img img-fluid w100" src="admin/assets/course/<?php echo $row["image"]; ?>"
                                        alt="Course Cover">

                                </div>
                            </div>

                            <div class="ed_view_price pl-4">
                                <span>Actual Price</span>
                                <h3 class="theme-cl"> ₹<?php echo !empty($row["cprice"]) ? $row["cprice"] : 0; ?> <del class="text-danger">₹<?php echo !empty($row["cmrp"]) ? $row["cmrp"] : 0; ?>
                                    </del>
                                </h3>
                            </div>

                            <div class="ed_view_short pl-4 pr-4 pb-2">
                                <p>
                                <?php
$description = $row["description"];
$strippedDescription = strip_tags($description);

$words = str_word_count($strippedDescription, 1);
$limitedDescription = implode(' ', array_slice($words, 0, 30));

echo $limitedDescription;
?>

                                </p>
                            </div>

                            <div class="ed_view_features half_list pl-4 pr-3">
                                <span>Course Features</span>
                                <ul>
                                    <li><i class="fa fa-clock text-danger"></i>Duration :
                                        <?php echo $row["courseduration"]; ?>
                                    </li>
                                    <li><i class="fa fa-solid fa-tag text-danger"></i>Minimum Fees :
                                    ₹<?php echo !empty($row["minimumfees"]) ? $row["minimumfees"] : 0; ?>
                                    </li>


                                </ul>
                            </div>
                            <div class="ed_view_link">

                                <a href="#" class="btn theme-bg enroll-btn" data-toggle="modal"
                                    data-target="#enrollModal">Enroll Now<i class="ti-angle-right"></i></a>
                            </div>

                        </div>
                    </div>

                </div>
            </div>
        </section>
        <!-- ============================ Course Detail ================================== -->

        <!-- ============================ Related Cources ================================== -->
        <section>
            <div class="container">

                <div class="row">
                    <div class="col-xl-12 col-lg-12 col-md-12 mb-3">
                        <h4>Related Courses</h4>
                    </div>
                </div>

                <div class="row">
                    <div class="col-xl-12 col-lg-12 col-md-12">
                        <div class="slide_items">

                        <?php
			include("admin/config.php");

			$sql = "SELECT * FROM courses";
			$result = $db->query($sql);

			if ($result->num_rows > 0) {
				while ($row = $result->fetch_assoc()) {
					$imagePath = 'admin/assets/course/' . $row['image'];
					$cname = $row["courses"];
					$encodedSubmenu = urlencode($cname);
					echo '<div class="lios_item">
                                <div class="crs_grid shadow_none brd">
                                    <div class="crs_grid_thumb">
                                        <a href="course-detail.php/' . $encodedSubmenu . '" class="crs_detail_link">
                                            <img src="' . $imagePath . '" class="img-fluid rounded" alt="Course Cover" />
                                        </a>

                                    </div> 
                                    <div class="crs_grid_caption">
							
							<div class="crs_title"><h4><a href="course-detail.php/' . $encodedSubmenu . '" class="crs_title_link text-dark text-decoration-none">' . $row["awards"] . ' In ' . $row["courses"] . '</a></h4></div>
							<div class="crs_info_detail">
								<ul>
									<li><i class="fa fa-solid fa-tag"></i>
									<span>Minimum Fees :
									₹' . $row["minimumfees"] . '</span></li>
									
								</ul>
							</div>
							<div class="preview_crs_info">
								<div class="progress">
									<div class="progress-bar" role="progressbar" style="width:50%" aria-valuenow="50" aria-valuemin="0" aria-valuemax="100"></div>
								</div>
							</div>
						</div>
						<div class="crs_grid_foot">
							<div class="crs_flex">
								<div class="crs_fl_first">
									<div class="crs_price"><h4><span class="currency">₹</span><span class="theme-cl">' . $row["cprice"] . ' </span> <del class="text-danger">₹' . $row["cmrp"] . '</del></h4></div>
								</div>
								<div class="crs_fl_last">
									<div class="crs_linkview"><a href="course-detail.php/' . $encodedSubmenu . '" class="btn btn_view_detail theme-bg text-light">Enroll Now</a></div>
								</div>
							</div>
						</div>
                                </div>
                            </div>';
                        }
                    } else {
                        echo "No Courses found.";
                    }
        
                    ?>

                        </div>
                    </div>
                </div>

            </div>
        </section>
        <!-- ============================ Related Cources ================================== -->
       <?php
} else {
    ?>
    <!-- Breadcrumb start -->
    <div class="ed_detail_head bg-cover" style="background:#f4f4f4 url(assets/img/banner-3.jpg);" data-overlay="8">
            <div class="container">
                <div class="row align-items-center">

                    <div class="col-lg-7 col-md-7">
                        <div class="ed_detail_wrap light">

                            <div class="ed_header_caption">
                                <h2 class="ed_title">
                                    <?php echo $productname ?>
                                </h2>
                               
                            </div>

                        </div>
                    </div>
                </div>
            </div>
        </div>
    <!-- Breadcrumb end -->

    <!-- Mentor-details-area start -->
    <section class="mentor-details pt-70 pb-100">
        <div class="container">
            <div class="row">

                <div class="col-lg-12 d-flex align-items-center justify-content-center">
                    Course Details Not Found
                </div>
            </div>
        </div>
    </section>
    <!-- Mentor-details-area end -->
    <?php
}

$stmt->close();
?>


<?php include 'enrollnowmodal.php'; ?>

<?php include_once('include/footer.php'); ?>